dyld: lazy symbol binding failed Please help

Hi there im havin quite of a problem here i hope you can helpme out
I got an iMac OSX 10.5,
and i've installed the following:

Rails 3.0.1
Gem 1.3.7
ruby 1.9.2p0 (2010-08-18 revision 29036) [i386-darwin9.8.0]

Using RVM

When i try to run the server on my terminal and getting trough port 3000
i can see the Welcome aboard page but once i click to:
About your application’s environment

I get the following error and quickly kicks me out from the server...

dyld: lazy symbol binding failed: Symbol not found: _STR2CSTR
  Referenced from:
/Users/ivanbravo/.rvm/gems/ruby-1.9.2-p0/gems/sqlite3-ruby-1.2.3/lib/sqlite3_api.bundle
  Expected in: flat namespace

dyld: Symbol not found: _STR2CSTR
  Referenced from:
/Users/ivanbravo/.rvm/gems/ruby-1.9.2-p0/gems/sqlite3-ruby-1.2.3/lib/sqlite3_api.bundle
  Expected in: flat namespace

Trace/BPT trap

Im very very new on ruby on rails... and i've been having big trouble on
setting this up... i would thank a lot if you could be very specific and
very clear for me to understand this...

Thanks a lot and sorry for my english

Attachments:
http://www.ruby-forum.com/attachment/5279/Picture_5.png

Hi. I also am having this problem and wanted to know if you had found a
solution. Thanks!

Ivan Bravo wrote in post #958693:

Hi there im havin quite of a problem here i hope you can helpme out
I got an iMac OSX 10.5,
and i've installed the following:

Rails 3.0.1
Gem 1.3.7
ruby 1.9.2p0 (2010-08-18 revision 29036) [i386-darwin9.8.0]

Using RVM

When i try to run the server on my terminal and getting trough port 3000
i can see the Welcome aboard page but once i click to:
About your application’s environment

I get the following error and quickly kicks me out from the server...

dyld: lazy symbol binding failed: Symbol not found: _STR2CSTR
  Referenced from:

/Users/ivanbravo/.rvm/gems/ruby-1.9.2-p0/gems/sqlite3-ruby-1.2.3/lib/sqlite3_api.bundle

  Expected in: flat namespace

dyld: Symbol not found: _STR2CSTR
  Referenced from:

/Users/ivanbravo/.rvm/gems/ruby-1.9.2-p0/gems/sqlite3-ruby-1.2.3/lib/sqlite3_api.bundle